These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

Manjaro 17 - Black Screen - Linux Newbie, be gentle

Author
Arindaeh Varvara
Caldari Provisions
Caldari State
#1 - 2017-03-13 16:17:39 UTC  |  Edited by: Arindaeh Varvara
I tried running EVE on laptop with Manjaro 17.

8GB RAM,
GT740M, 2GB, GPU nVidia drivers: 375.39
All libs in place (I think)
Using Wine included to Launcher from forums.

Launcher works, can log-in, can display everything, I can press play, the window shows up and... that is it. Small black frozen window.

LogLite - Two errors

No valid display modes found. All display modes are: [%s] 864 x 486 (88), 640 x 480 (88), 864 x 486 (85), 640 x 480 (85)


EXCEPTION #2 logged at 03/13/2017 16:36:51 : Unhandled exception in

Formatted exception info: RuntimeError: No valid fullscreen modes found

Common path prefix = e:/jenkins/workspace/client_tranquility/branches/release/tranquility

Caught at:

/packages/bluepy/__init__.py(45) CallWrapper

Thrown at:

/packages/bluepy/__init__.py(36) CallWrapper

/carbon/common/lib/autoexec_client_core.py(226) Startup

/eve/client/script/parklife/gameui.py(721) StartupUI

/packages/carbonui/uicore.py(98) Startup

/eve/client/script/ui/services/eveDevice.py(70) CreateDevice

/packages/carbonui/services/device.py(233) CreateDevice

/packages/carbonui/services/device.py(279) PrepareMain

/packages/carbonui/services/device.py(630) GetSaveMode

/packages/carbonui/services/device.py(529) GetFailsafeMode

/packages/carbonui/services/device.py(444) GetDefaultFullscreenMode

/packages/carbonui/services/device.py(402) GetValidFullscreenModes
Cmp =
adapter = 0
allModes = [, , , ]
format = 86
m = 1
mode =
result = []
self =
x =

Thread Locals: session was
Stackhash: 625285121
Reported from: logmodule
EXCEPTION END


No clue where are my settings, wine, and how I can change the setup parameters. Help would be appreciated.

EDIT: I also tried with optirun-ning EVE but didn't work.
Neuntausend
GoonWaffe
Goonswarm Federation
#2 - 2017-03-13 22:26:51 UTC
If you have to use optirun/primusrun I would recommend enabling the custom wine option in the launcher settings and for the wine command type in "optirun wine" or "primusrun wine". If you run the launcher with bumblebee/primus I don't think it will in turn run the client using it as well.
Sylde Nafel
Aliastra
Gallente Federation
#3 - 2017-03-14 08:46:29 UTC
I can't help you with your OS, but it looks like a Python error... May it's trying to use a wrong version of Python? Check out if it changes something using Python2 or Python3.

For example, I'm running Pyfa source code with Python2, but it won't work with Python3.
Arindaeh Varvara
Caldari Provisions
Caldari State
#4 - 2017-03-14 13:34:32 UTC
@Sylde Nafel
Same thing is happening on Python3.

@Neuntausend
Where are wine's command options? EVELauncher doesn't have them I think.

I tried adding new screen mode to xrandr with higher resolution (my actual resolution that should be in the list mentioned by the error) - same thing, little black frozen screen with the errors mentioned in the first post.
Neuntausend
GoonWaffe
Goonswarm Federation
#5 - 2017-03-14 13:52:09 UTC
Click the E-button in the top right corner of the launcher, tick "Use custom wine" and in "Custom wine path" type in "optirun wine"
Arindaeh Varvara
Caldari Provisions
Caldari State
#6 - 2017-03-14 14:00:17 UTC  |  Edited by: Arindaeh Varvara
I am using latest dev build included to EVELauncher, have no alias as wine, so "optirun wine" don't work.

I tried more hacky approach, located wine in home/user/.eve.

Tried launching it with "optirun ./wine ../../wineenv/drive_c/tq/bin/exefile.exe". Screen was no longer black but blue, could see mouse, and now I had only one error in LogLite

No valid display adapter found


After that wine crashed. But I guess I wouldn't log in anyway.

EDIT: I see a lot of d3d11 errors. Maybe it ignored DX9 setting set in launcher.
Neuntausend
GoonWaffe
Goonswarm Federation
#7 - 2017-03-14 15:44:46 UTC
I'm afraid it's been a while since I last used a laptop with optimus graphics, so I can't really tell you how to debug this. I do remember it's been a bit fiddly. Are you sure your graphics drivers and 3d acceleration work?

Arindaeh Varvara
Caldari Provisions
Caldari State
#8 - 2017-03-16 19:00:16 UTC
Sorry it took me so long. So I managed to make some tests and install few packages. Generally games do work, tried "optirun glxspheres" and they indeed showed up. Now:

1) I installed a separate wine emulator and tried to launch game from it and it looked like it worked but not really sure, a lot of things were off and couldn't log/select pilots.
2) This made wine included by CCP work very well, can log in and do stuff, unfortunately my GPU is not working, everything goes from CPU. I can tell this by not getting a response from "nvidia-smi" and by hardware indicator on my laptop. I have terrible FPS.

Does anyone know how to optirun CCP's wine? I can't figure it out from their wine files, too many of them.
Neuntausend
GoonWaffe
Goonswarm Federation
#9 - 2017-03-16 20:26:56 UTC  |  Edited by: Neuntausend
You could enable custom wine in the launcher settings, and just type in the path to where the launcher downloads the CCP wine builds to. I can't check right now where that would be, but I'll update this post once I get home.

edit: Looks like the launcher is downloading the wine build into ~/.eve/wine/ by default. So, in the "custom wine path" you could try putting something along the lines of "optirun /home/{username}/.eve/wine/bin/wine"
smoky26
Aliastra
Gallente Federation
#10 - 2017-06-06 21:13:22 UTC  |  Edited by: smoky26
I dont even get a black/blank screen. Terminal just hangs up.

Running manjaro, kernel 4.9 with wine 2.9

I get no errors nothing just sits there like that.



screenshot



As Root

Running ./evelauncher.sh as root.


Also I downloaded wine 1.7.46 source compiled it and installed and still having same problem.


So I found this in /home/grr/.local/share/CCP/EVE/launcher

2017-06-07T00:21:46.626Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_num_locks
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_set_id_callback
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_set_locking_callback
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve ERR_free_strings
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve EVP_CIPHER_CTX_init
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve sk_new_null
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve sk_push
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_free
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_num
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_pop_free
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_value
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_library_init
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_load_error_strings
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_get_ex_new_index
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv2_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv3_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv23_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv2_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv3_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv23_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve X509_STORE_CTX_get_chain
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve SSLeay
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve SSLeay_version
Papppi Chulo
Spitfire Syndicate
#11 - 2017-06-08 22:17:25 UTC  |  Edited by: Papppi Chulo
smoky26 wrote:
I dont even get a black/blank screen. Terminal just hangs up.

Running manjaro, kernel 4.9 with wine 2.9

I get no errors nothing just sits there like that.



screenshot



As Root

Running ./evelauncher.sh as root.


Also I downloaded wine 1.7.46 source compiled it and installed and still having same problem.


So I found this in /home/grr/.local/share/CCP/EVE/launcher

2017-06-07T00:21:46.626Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_num_locks
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_set_id_callback
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve CRYPTO_set_locking_callback
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve ERR_free_strings
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve EVP_CIPHER_CTX_init
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve sk_new_null
2017-06-07T00:21:46.627Z qt.network.ssl warning QSslSocket: cannot resolve sk_push
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_free
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_num
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_pop_free
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve sk_value
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_library_init
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_load_error_strings
2017-06-07T00:21:46.628Z qt.network.ssl warning QSslSocket: cannot resolve SSL_get_ex_new_index
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv2_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv3_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv23_client_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv2_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv3_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve SSLv23_server_method
2017-06-07T00:21:46.629Z qt.network.ssl warning QSslSocket: cannot resolve X509_STORE_CTX_get_chain
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve SSLeay
2017-06-07T00:21:46.630Z qt.network.ssl warning QSslSocket: cannot resolve SSLeay_version


I was having the same problem, then this worked for me
Lonami Rainfeld wrote:
If someone else is having problems with this on Arch, the solution for me was to install
libopenssl-1.0-compat
from the AUR, and then running evelauncher.sh with the environment variable LD_LIBRARY_PATH set to /usr/lib/openssl-1.0-compat/, i.e., running the game with the command
LD_LIBRARY_PATH=/usr/lib/openssl-1.0-compat/ ./evelauncher.sh
in the evelauncher directory.


from this link: https://forums.eveonline.com/default.aspx?g=posts&t=517871&find=unread


I encounter a new one. After I press Play nothing happens. It anyone has any ideas I would appreciated, also if you search the AUR for evelauncher, that package includes that fix, but once i log on the launcher and press play nothing happens again
Roesjka
The Last Solution Inc
#12 - 2017-07-08 10:08:49 UTC
Arindaeh Varvara wrote:
Sorry it took me so long. So I managed to make some tests and install few packages. Generally games do work, tried "optirun glxspheres" and they indeed showed up. Now:

1) I installed a separate wine emulator and tried to launch game from it and it looked like it worked but not really sure, a lot of things were off and couldn't log/select pilots.
2) This made wine included by CCP work very well, can log in and do stuff, unfortunately my GPU is not working, everything goes from CPU. I can tell this by not getting a response from "nvidia-smi" and by hardware indicator on my laptop. I have terrible FPS.

Does anyone know how to optirun CCP's wine? I can't figure it out from their wine files, too many of them.



Do you have notebook with an Intel and Nvidia graphics card?

You need to install bumblebee, primus and lib32-primus to be able to use your nvidia card

If that is all working you start EVE with

optirun or primusrun evelauncher.sh

I have a Lenovo y50-70 with Nvidia optimus running Debian stretch 64bit.
I start EVE with "optirun evelauncher.sh"

Have a look at a previous post of mine as it might help you to solve other issues you might encounter.
https://forums.eveonline.com/default.aspx?g=posts&m=6943810#post6943810

Cheers

Cheers,

Retired UNIX/Linux IT Specialist.

AsRock 990FX Extreme4, FX-8320, 16GB mem, GTX 1070

y50-70, i7, 16GB mem, GTX 860M

Both running Debian stretch 64bit